Summary: A graphical interface for configuring XFree86 
Name: redhat-config-xfree86
Version: 0.6.7
Release: 1
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: pygtk2 >= 1.99.11
Requires: pygtk2-libglade
Requires: python2
Requires: usermode >= 1.36
Requires: hwdata
Requires: kudzu >= 0.99.50-1
Requires: pyxf86config >= 0.3.0
Requires: rhpl >= 0.9
Obsoletes: Xconfigurator

%description
redhat-config-xfree is a graphical user interface that allows the user to configure their XFree86 Xserver.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir $RPM_BUILD_ROOT%{_datadir}/applications

for i in redhat-config-xfree86.desktop; do \
  desktop-file-install --vendor redhat --delete-original       \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
    --add-category X-Red-Hat-Base                             \
    $RPM_BUILD_ROOT%{_datadir}/redhat-config-xfree86/$i; \
done;


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-xfree ] ; then
  rm -rf /usr/share/redhat-config-xfree/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/redhat-config-xfree86
%{_datadir}/redhat-config-xfree86
%{_datadir}/applications/*
%{_datadir}/pixmaps/redhat-config-xfree.png
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-xfree86
%attr(0644,root,root) %config /etc/pam.d/redhat-config-xfree86

%changelog
* Thu Sep  5 2002 Alexander Larsson <alexl@redhat.com>
- Require pygtk2-libglade

* Fri Aug 30 2002 Jeremy Katz <katzj@redhat.com> 0.6.6-1
- create /etc/X11/X symlink (#73108)

* Wed Aug 28 2002 Alexander Larsson <alexl@redhat.com> 0.6.5-1
- Fix DRI state changes. (#72255)

* Tue Aug 27 2002 Alexander Larsson <alexl@redhat.com> 0.6.4-1
- Fix XF86Option typo (#72243)

* Mon Aug 26 2002 Alexander Larsson <alexl@redhat.com> 0.6.3-1
- Fixes bug #72456

* Fri Aug 23 2002 Alexander Larsson <alexl@redhat.com> 0.6.2-1
- Fixed part of Bug #72275, the rest is in Gtk+.

* Wed Aug 21 2002 Preston Brown <pbrown@redhat.com> 0.6.1-1
- fixed starting tool when XF86Config is corrupt (#71461)

* Fri Aug  9 2002 Alexander Larsson <alexl@redhat.com> 0.6.0-1
- Add 640x480 to list of resolutions
- Kluge around treeview horizontal scroll bug in videocard dialog
- set textdomain everywhere it is needed to make i18n work
- Try --reconfig if starting an xserver with the current config file doesn't work.
- Tell gdm to restart server on logout after we write the config file.

* Tue Aug  6 2002 Preston Brown <pbrown@redhat.com> 0.5.2-1
- output to XF86Config (not XF86Config-4) when using --reconfig

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com>
- Obsolete Xconfigurator

* Wed Jun 26 2002 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- Updated to use configure

* Mon Jun 17 2002 Alexander Larsson <alexl@redhat.com>
- Bumped version to 0.3.0

* Thu May 30 2002 Alex Larsson <alexl@redhat.com>
- Bumped to 0.2.2

* Tue May 28 2002 Alex Larsson <alexl@redhat.com>
- Update to version 0.2.0

* Thu Apr 11 2002 Alex Larsson <alexl@redhat.com> 0.1.0-1
- Initial release

* Tue Apr  9 2002 Alex Larsson <alexl@redhat.com>
- Initial specfile
